import { SyllableSDK } from "syllable-sdk";
const syllableSDK = new SyllableSDK({
apiKeyHeader: process.env["SYLLABLESDK_API_KEY_HEADER"] ?? "",
});
async function run() {
const result = await syllableSDK.bridgePhrases.list({
page: 0,
searchFields: [
"name",
],
searchFieldValues: [
"Some Object Name",
],
startDatetime: "2023-01-01T00:00:00Z",
endDatetime: "2024-01-01T00:00:00Z",
});
console.log(result);
}
run();import os
from syllable_sdk import SyllableSDK, models
with SyllableSDK(
api_key_header=os.getenv("SYLLABLESDK_API_KEY_HEADER", ""),
) as ss_client:
res = ss_client.bridge_phrases.list(page=0, limit=25, search_fields=[
models.BridgePhrasesProperties.NAME,
], search_field_values=[
"Some Object Name",
], start_datetime="2023-01-01T00:00:00Z", end_datetime="2024-01-01T00:00:00Z")
# Handle response
print(res)curl --request GET \
--url https://api.syllable.cloud/api/v1/bridge_phrases/ \
--header 'Syllable-API-Key: <api-key>'const options = {method: 'GET', headers: {'Syllable-API-Key': '<api-key>'}};
fetch('https://api.syllable.cloud/api/v1/bridge_phrases/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"name": "Default Bridge Phrases",
"id": 1,
"updated_at": "2026-07-02T00:00:00Z",
"last_updated_by": "user@mail.com",
"description": "Standard hold phrases for inbound line.",
"config": {
"phrases": {
"messages": [
"One moment, please.",
"Let me check on that for you."
],
"localized": {
"es-US": {
"messages": [
"Un momento, por favor."
]
},
"fr-FR": {
"messages": [
"Un instant, je vous en prie."
]
}
}
},
"tools": [
{
"tool_name": "<string>",
"phrases": {
"messages": [
"One moment, please.",
"Let me check on that for you."
],
"localized": {
"es-US": {
"messages": [
"Un momento, por favor."
]
},
"fr-FR": {
"messages": [
"Un instant, je vous en prie."
]
}
}
}
}
],
"smart_turn_timeout_seconds": 2.75,
"randomize_bridge_phrases": true
},
"is_default": false,
"edit_comments": "Added Spanish overrides for the transfer tool.",
"agents_info": [
{
"id": 1,
"name": "Test Agent"
}
]
}
],
"page": 0,
"page_size": 25,
"total_pages": 4,
"total_count": 100
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}List Bridge Phrases
Fetch bridge phrases configs.
import { SyllableSDK } from "syllable-sdk";
const syllableSDK = new SyllableSDK({
apiKeyHeader: process.env["SYLLABLESDK_API_KEY_HEADER"] ?? "",
});
async function run() {
const result = await syllableSDK.bridgePhrases.list({
page: 0,
searchFields: [
"name",
],
searchFieldValues: [
"Some Object Name",
],
startDatetime: "2023-01-01T00:00:00Z",
endDatetime: "2024-01-01T00:00:00Z",
});
console.log(result);
}
run();import os
from syllable_sdk import SyllableSDK, models
with SyllableSDK(
api_key_header=os.getenv("SYLLABLESDK_API_KEY_HEADER", ""),
) as ss_client:
res = ss_client.bridge_phrases.list(page=0, limit=25, search_fields=[
models.BridgePhrasesProperties.NAME,
], search_field_values=[
"Some Object Name",
], start_datetime="2023-01-01T00:00:00Z", end_datetime="2024-01-01T00:00:00Z")
# Handle response
print(res)Authorizations
Query Parameters
The page number from which to start (0-based)
x >= 00
The maximum number of items to return
x >= 025
String names of fields to search. Correspond by index to search field values
Names of bridge phrases fields supported for filtering/sorting on list endpoint.
name, description, updated_at, last_updated_by "name"
Values of fields to search. Correspond by index to search fields. Unless field name contains "list", an individual search field value cannot be a list
"Some Object Name"
The field whose value should be used to order the results Names of bridge phrases fields supported for filtering/sorting on list endpoint.
name, description, updated_at, last_updated_by "name"
The direction in which to order the results The direction in which to order list results, either ascending or descending.
asc, desc The fields to include in the response
Names of bridge phrases fields supported for filtering/sorting on list endpoint.
name, description, updated_at, last_updated_by The start datetime for filtering results
"2023-01-01T00:00:00Z"
The end datetime for filtering results
"2024-01-01T00:00:00Z"
Response
Successful Response
List of items returned from the query
Show child attributes
Show child attributes
The page number of the results (0-based)
0
The number of items returned per page
25
The total number of pages of results given the indicated page size
4
The total number of items returned from the query
100

